*Program to get compile all states in one quarter;
*Add path and date;

libname input "path";
libname output "path";
options  errors=1;
%let date=DATE;

%let state=al ak az ar ca co ct de dc ga hi id in ia ks ky la me md mn mo mt ne 
nv nj nm nc nd oh ok ri sc sd tn tx ut vt va wa wv;
%let statenum=40;

%macro mac(Qrt=,Yr=);

%let qrtyr=&Yr&Qrt;
proc delete data=output.ldb&qrtyr;

%do counter=1 %to &statenum;
	%let st=%scan(&state,&counter);

	proc append base=ldb&qrtyr data=input.&st&qrtyr
	 (keep=ldb_num state_fips tot_wage m1_empl m2_empl m3_empl yr_qtr succ_break_consol_flag pred_break_consol_flag own_code);
	
	data output.ldb&qrtyr; set ldb&qrtyr;
	
              if own_code~=5 then delete;
              

	run;
	

%end;
%mend mac;



%macro allquarters(YrBeg=,YrEnd=);


%do z=&YrBeg %to &YrEnd;
	%do j=1 %to 4;
	    %if &j>2 and &z=2014 %then %do; %end;
 	    %else %do;
             
	    %mac(Qrt=&j,Yr=&z);


	    %end;
	%end;
%end;
%mend;


%allquarters(YrBeg=1992,YrEnd=2014);


