function EV = evfunlinearss(nobs,xobs,xgrid,ngrid,xweights,  nf,nh,v_no,v_adjh,v_adjf,  mux,rhox,Stdev_epsx)


EV     = zeros(xobs, nobs);
for h = 1:nobs; %n(t), par
    
    indxh   = (ngrid(h)<  nh);
    indxf   = (nf < ngrid(h));
    vj_adjh = v_adjh(:,h).*indxh  - 10e4*(1-indxh);
    vj_adjf = v_adjf(:,h).*indxf  - 10e4*(1-indxf);
    vj_no   = v_no(:,h);
    vprime  = max( [vj_no, vj_adjh, vj_adjf], [],2);        
            
    xnext  = ones(xobs,1)*xgrid';
    xnow   = xgrid       *ones(1,xobs);
    elogx  = mux + rhox*log(xnow);
    Fxmax  = normcdf((log(xgrid(xobs))-elogx)/Stdev_epsx);
    Fxmin  = normcdf((log(xgrid(1   ))-elogx)/Stdev_epsx);
    pdfx   = (1./(xnext*Stdev_epsx*sqrt(2*pi))) .* exp(-0.5*( ((log(xnext)   -elogx)/Stdev_epsx).^2 ));
    pdfx   = pdfx ./ (Fxmax -Fxmin);
    xwght  = ones(xobs,1)*xweights';
    Pdfx   = xwght .* pdfx;
    EV(:,h)= Pdfx*vprime;
end 
